> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Delete a contact request attachment

DELETE https://v1.api.partnerpage.io/api/directory/private/v1alpha/contact-requests/{contactId}/attachments/{attachmentId}/

Delete a contact request attachment

Reference: https://docs.partnerpage.io/api-reference/contact-request/attachment/delete-a-contact-request-attachment

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `attachmentId` (string, required) — ID of the attachment to delete
- `contactId` (string, required) — ID of the contact request

## Response

### 204

Attachment deleted

## Errors

### 403 Forbidden Error

Forbidden

- `any`

### 404 Not Found Error

Attachment not found

- `any`

## Examples

**SDK Code**

```python
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/contact-requests/contactId/attachments/attachmentId/"

headers = {"Authorization": "Token  <apiKey>"}

response = requests.delete(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/contact-requests/contactId/attachments/attachmentId/';
const options = {method: 'DELETE', headers: {Authorization: 'Token  <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```